package com.gic.haoban.manage.service.service.out.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.common.utils.PageUtil;
import com.gic.haoban.manage.api.dto.AuditDTO;
import com.gic.haoban.manage.api.service.AuditApiService;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanAuditMapper;
import com.gic.haoban.manage.service.entity.TabHaobanAudit;
import com.github.pagehelper.PageHelper;

/**
 * Created by tgs on 2020/2/9.
 */
@Service
public class AuditApiServiceImpl implements AuditApiService{
	@Autowired
	private TabHaobanAuditMapper auditMapper;
	@Override
	public Page<AuditDTO> page(Integer auditType, String search,
			String enterpriseId,Integer auditStatus, BasePageInfo pageInfo) {
		//TODO 通过search模糊查找storeIds,和staffIds
		List<String> storeIds = new ArrayList<>();
		List<String> staffIds = new ArrayList<>();
		PageHelper.startPage(pageInfo.getPageNum(), pageInfo.getPageSize());
		com.github.pagehelper.Page<TabHaobanAudit> page = auditMapper.page(auditType, storeIds, staffIds, enterpriseId,auditStatus);
		return PageUtil.changePageHelperToCurrentPage( page,AuditDTO.class);
	}
	@Override
	public void audit(String auditId) {
		TabHaobanAudit tab = new TabHaobanAudit();
		tab.setAuditId(auditId);
		tab.setAuditStatus(1);
		tab.setUpdateTime(new Date());
		auditMapper.updateByPrimaryKeySelective(tab);		
	}
	@Override
	public void refuse(String auditId, String auditReason) {
		TabHaobanAudit tab = new TabHaobanAudit();
		tab.setAuditId(auditId);
		tab.setAuditStatus(0);
		tab.setUpdateTime(new Date());
		tab.setAuditReason(auditReason);
		auditMapper.updateByPrimaryKeySelective(tab);			
	}
}
